#include <stdio.h>

int main () {
  int n;
  int pomoc, pom=1;
  int broj=0;
  int pr, dr;
  
  scanf("%d", &n);
  
  pr=n%10;
  broj=pr;
  n=n/10;
  pom=10;
  
  do {
    dr=n%10;
    
    if(pr!=dr) {
      broj=broj+dr*pom;
      pom=pom*10;
    }
    n=n/10;
    pr=dr;
  } while(n%10!=0);
  
  printf("%d", broj);
  
  return 0;
}